Error Installing on Supported Device

I just got my verification email saying I could install it on my device (Pixel 3a XL). However, after following all the steps just as they were layed out in the bllocdesk app, it said it couldn’t install on my phone due to it being “unsupported.” I’ve made no major modifications to my phone - I use the stock launcher and am running the latest updates. Any ideas on what to do?

1 Like

Please read this first! Thank you https://community.blloc.com/t/new-users-please-read-this-first/2455

Your post will be transitioned later today!

yes this will change in minutes, the servers went through a down from load and are coming back up.

2 Likes

This topic was automatically closed after 2 hours. New replies are no longer allowed.